%define name podsleuth
%define version 0.6.3
%define release %mkrel 3

Summary: Extract metadata from Apple iPods
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://banshee-project.org/files/%name/%{name}-%{version}.tar.bz2
Patch: podsleuth-0.6.3-new-sgutils.patch
License: BSD
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://banshee-project.org/PodSleuth
BuildRequires: mono-devel
BuildRequires: hal-devel
BuildRequires: ndesk-dbus
BuildRequires: libsgutils-devel
Requires: hal

%description
PodSleuth is a tool to discover detailed model information about an
Apple (TM) iPod (TM). Its primary role is to be run as a callout by
HAL (http://freedesktop.org/wiki/Software_2fhal) because root access
is needed to scan the device for required information. When the model
information is discovered, it is merged into HAL as properties for
other applications to use.

%prep
%setup -q
%patch -p1
aclocal -I m4
autoconf
automake

%build
%configure2_5x
make

%install
rm -rf %{buildroot}
%makeinstall_std
%if %_lib != lib
mv %buildroot%_prefix/lib/podsleuth %buildroot%_libdir/
%endif
mkdir -p %buildroot/var/cache/podsleuth
mkdir -p %buildroot%_libdir/hal/scripts
mv %buildroot%_libdir/hal/hal-podsleuth %buildroot%_libdir/hal/scripts

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS
%_bindir/podsleuth
%_libdir/hal/scripts/hal-podsleuth
%_libdir/pkgconfig/podsleuth.pc
%_libdir/podsleuth
%_datadir/hal/fdi/policy/20thirdparty/20-podsleuth.fdi
%dir /var/cache/podsleuth



%changelog
* Mon Nov 10 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.6.3-3pclos2007
- Rebuild

* Mon Nov 10 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.6.3-2pclos2007
- Rebuild for PCLOS

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 296087
- new version
- make it build with new libsgutils

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

